package com.goldenwater.slaj.hazard.service;

import java.util.List;
import com.goldenwater.slaj.hazard.domain.TBusiHazCountMon;

/**
 * 危险源月度统计 服务层
 */
public interface ITBusiHazCountMonService {

    /**
     * 查询危险源月度统计信息
     * @param guid 查询条件
     * @return 危险源月度统计信息
     */
    TBusiHazCountMon selectTBusiHazCountMonByGuid(String guid);

    /**
     * 查询危险源月度统计列表
     * @param tBusiHazCountMon 危险源月度统计查询条件
     * @return 危险源月度统计集合
     */
    List<TBusiHazCountMon> selectTBusiHazCountMonList(TBusiHazCountMon tBusiHazCountMon);

    /**
     * 新增危险源月度统计
     * @param tBusiHazCountMon 危险源月度统计信息
     * @return 影响行数
     */
    int insertTBusiHazCountMon(TBusiHazCountMon tBusiHazCountMon);

    /**
     * 修改危险源月度统计
     * @param tBusiHazCountMon 危险源月度统计信息
     * @return 影响行数
     */
    int updateTBusiHazCountMon(TBusiHazCountMon tBusiHazCountMon);

    /**
     * 删除危险源月度统计
     * @param guid 危险源月度统计主键
     * @return 影响行数
     */
    int deleteTBusiHazCountMonByGuid(String guid);

    /**
     * 批量删除危险源月度统计
     * @param guids 危险源月度统计主键数组
     * @return 影响行数
     */
    int deleteTBusiHazCountMonByGuids(String[] guids);
}
